运维开发网

ubuntu下升级CMake

运维开发网 https://www.qedev.com 2020-05-18 13:18 出处:网络 作者:运维开发网整理
遇到的问题: 在Ubuntu系统中进行OpenCV 安装的时候,需要用到cmake,而且必须是 3.5版本以上才能行!

遇到的问题:

在Ubuntu系统中进行OpenCV 安装的时候,需要用到cmake,而且必须是 3.5版本以上才能行!

然后开始使用  sudo apt-get install cmake,,这种办法,安装上的版本一直是 3.2。这个问题一直困扰了半个小时

 

1、cmake的下载

在这里强烈建议通过wegt进行下载,在这里就不说了,直接把地址粘上吧!

wget https://cmake.org/files/v3.9/cmake-3.9.1-Linux-x86_64.tar.gz

 

 

2、解压和安装

(1)、首先进行解压

tar -zxvf cmake-3.9.1-Linux-x86_64.tar.gz

通过上述命令就可以对文件进行解压,在这里需要说明一下,cmake不需要自己去安装,解压即安装,在这里你需要去做的

就是添加相应的环境变量

 

 (2)、添加环境变量

在解压后的文件夹下启动命令框,打开 “bashrc”

$ gedit ~/.bashrc

1

在打开的记事本里面,在最后一行添加

 

export PATH=/******/cmake-3.9.1-Linux-x86_64/bin:$PATH

           其中  ****** 就是刚才复制的 cmake属性的位置

 

 

 

 

 

3、最后一步

在命令行(终端),进行一下 source

source ~/.bashrc

The End!

你就可以通过指令 :

       cmake --version

         可以查看自己系统里面的 cmake版本信息!如下图所示!

 

ubuntu下升级CMake

0

精彩评论

暂无评论...
验证码 换一张
取 消